# createWhiteboard()

Creates and opens a new whiteboard, and immediately persists it in the personal or room library.

You can optionally specify a parent library folder id. If folder is not specified, then whiteboard will be part of the default root library folder.

```javascript
//Creates the whiteboard in the room library
sambaFrame.createWhiteboard({personal: false});

//Creates the whiteboard in the personal library
sambaFrame.createWhiteboard({personal: true});

//Creates the whiteboard in the room library inside a concrete folder
sambaFrame.createWhiteboard({
    personal: false,
    folderId: '6d987ab4-9df2-45f2-a076-eec503cc6799'
});
```

**Sample use case**: \
You may have a button in your application to create a whiteboard on the fly.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/sdk/methods/createwhiteboard.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
